mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Cryptography.ICryptoTransform System.Runtime.InteropServices.ComVisible(true)

Hash functions are fundamental to modern cryptography. These functions map binary strings of an arbitrary length to small binary strings of a fixed length, known as hash values. A cryptographic hash function has the property that it is computationally infeasible to find two distinct inputs that hash to the same value. Hash functions are commonly used with digital signatures and for data integrity.

The hash is used as a unique value of fixed size representing a large amount of data. Hashes of two sets of data should match if the corresponding data also matches. Small changes to the data result in large unpredictable changes in the hash.

Represents the base class from which all implementations of cryptographic hash algorithms must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code creates a new instance of a derived class.

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if the transform can be reused by calling . False if a new transform must be created for a new operation. You should never assume that a specific algorithm can be reused without checking this property. A cryptographic implementation can be changed by modifying the machine.config file and by using, directly or indirectly, the class. The new implementation could behave differently than the old one.

  Gets a value indicating whether the current transform can be reused.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if a single call to either or can process more than one block at the time. False if the data must be processed block per block. You should never assume that a specific algorithm can transform multiple blocks without checking this property. A cryptographic implementation can be changed by modifying the machine.config file and by using, directly or indirectly, the class. The new implementation could behave differently than the old one.

  When overridden in a derived class, gets a value indicating whether multiple blocks can be transformed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a simple call to the method.

  Calling Dispose allows the resources used by the class to be reallocated for other purposes. For more information about Dispose, see Cleaning Up Unmanaged Resources.

  Releases all resources used by the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` A copy of the return value is kept in the property until the method is called.

  Computes the hash value for the specified byte array.

  The computed hash code.

  The input to compute the hash code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` A copy of the return value is kept in the property until the method is called.

  Computes the hash value for the specified object.

  The computed hash code.

  The input to compute the hash code for.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` `` `` A copy of the return value is kept in the property until the method is called.

  Computes the hash value for the specified region of the specified byte array.

  The computed hash code.

  The input to compute the hash code for. The offset into the byte array from which to begin using data. The number of bytes in the array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.HashAlgorithm

  By default, this overload uses the implementation of a hash algorithm. If you want to specify a different implementation, use the overload, which lets you specify an algorithm name, instead. The cryptography configuration system defines the default implementation of .

  Creates an instance of the default implementation of a hash algorithm.

  A new instance, unless the default settings have been changed using the <cryptoClass> Element.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.HashAlgorithm `` To be added

  Creates an instance of the specified implementation of a hash algorithm.

  A new instance of the specified hash algorithm, or null if is not a valid hash algorithm.

  The hash algorithm implementation to use. The following table shows the valid values for the parameter and the algorithms they map to.
- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. Finalize invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added: an object of type 'byte []'

  The property is a byte array; the property is a value that represent bits. Therefore, the number of elements in is one-eighth the size of .

  Gets the value of the computed hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is not called by application code.

  This abstract method performs the hash computation. Every write to the cryptographic stream object passes the data through this method. For each block of data, this method updates the state of the hash object so a correct hash value is returned at the end of the data stream.

  When overridden in a derived class, routes data written to the object into the hash algorithm for computing the hash.

  The input to compute the hash code for. The offset into the byte array from which to begin using data. The number of bytes in the byte array to use as data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  This method finalizes any partial computation and returns the correct hash value for the data stream.

  When overridden in a derived class, finalizes the hash computation after the last data is processed by the cryptographic stream object.

  The computed hash code.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the size, in bits, of the computed hash code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The hash algorithm specifies the size of the hash code. For example, uses a hash size of 160 bits.

  This field is accessed through the property.

  Represents the size, in bits, of the computed hash code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  This field is accessed through the property.

  Represents the value of the computed hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void A newly created instance doesn't have to be initialized.

  Initializes an implementation of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  Unless overridden, this property returns the value 1.

  When overridden in a derived class, gets the input block size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  Unless overridden, this property returns the value 1.

  When overridden in a derived class, gets the output block size.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This field is used to prevent users from changing the key of a keyed hash algorithm during a hash operation. When a key change is legitimate, the value of this field is zero both before and after a hash operation. When a key change is not legitimate, the value of this field is nonzero.

  Represents the state of the hash computation.

- Method
  System.Void

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. Finalize invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` `` ``

  You must call the method before calling the method. You must call both methods before you retrieve the final hash value.

  To retrieve the final hash value after calling the method, get the byte array contained within the property.

  Calling the method with different input and output arrays results in an .

  Computes the hash value for the specified region of the input byte array and copies the specified region of the input byte array to the specified region of the output byte array.

  The number of bytes written.

  The input to compute the hash code for. The offset into the input byte array from which to begin using data. The number of bytes in the input byte array to use as data. A copy of the part of the input array used to compute the hash code. The offset into the output byte array from which to begin writing data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` `` ``

  You must call the method after calling the method but before you retrieve the final hash value.

  Note that the return value of this method is not the hash value, but only a copy of the hashed part of the input data. To retrieve the final hashed value after calling the method, get the byte array contained in the property.

  Computes the hash value for the specified region of the specified byte array.

  An array that is a copy of the part of the input that is hashed.

  The input to compute the hash code for. The offset into the byte array from which to begin using data. The number of bytes in the byte array to use as data.